PHP session.save_path()函数任意命令执行漏洞

2010-02-20T00:00:00
ID SSV:19157
Type seebug
Reporter Root
Modified 2010-02-20T00:00:00

Description

BUGTRAQ ID: 37390 CVE ID: CVE-2009-4143

PHP是广泛使用的通用目的脚本语言,特别适合于Web开发,可嵌入到HTML中。

PHP在处理会话信息的功能函数实现上存在漏洞,远程攻击者可能利用此漏洞以PHP进程的权限执行任意命令,导致权限提升。

PHP <= 5.2.11 PHP 5.2.0 厂商补丁:

PHP

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.php.net